Name:           python3-script
Version:        1.7.2
Release:        2%{?dist}
Summary:        Help for writing shell scripts in Python

Group:          Development/Libraries
License:        Python
URL:            http://lamb.cc/script/
Source0:        http://lamb.cc/script/script-%{version}.tar.gz
Source1:        LICENSE

BuildArch:      noarch
BuildRequires:  python3-devel

%description
This module is mostly for folks who need to write a python script that will be
run from the command line. You know, something that can parse command line
arguments and run other external programs via the shell. The kind of script
you can call with --help. Something that perhaps reads, copies, deletes, or
otherwise manipulates files by their pathname.

If any of these apply, perhaps this module is for you!

A simple import script statement can provide your code with convenient command
line parsing, "a la carte" --help documentation, useful path operations, shell
command invocation with optional pipe redirection, and early run-time
termination with exit status control. Read on for more. Cheers!

%prep
%setup -q -n script-%{version}
install -m 0644 %{SOURCE1} .


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%files
%doc README.txt LICENSE
%{python3_sitelib}/script.py
%{python3_sitelib}/script-%{version}-*.egg-info
%{python3_sitelib}/__pycache__/script*


%changelog
* Thu Sep 18 2014 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.7.2-2
- Add license file
- Update description

* Thu Aug 28 2014 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.7.2-1
- First release of python3-script
